在低于android 5.0的版本中ActionBar不显示

我从ABS切换到AppCompat与Material theme(仅适用于API21) 我的配置文件如下:

Android 5.0 Lollipop 处理 media buttons 事件的问题

在android api 21版本之前当用户按住button headset我经常使用 audioManager.registerMediaButtonEventReceiver(receiver); 去处理media button 事件,在 android api 21 之后,MediaSession 貌似可以使用看了,于是我尝试使用如下的代码

android 5.0中 Toolbar widget的xml配置信息在哪里定义?

如下代码. 在android 5.0中 Toolbar 配置代码要写到哪个配置文件里面去?是写到 /layout/activity_main.xml? 中吗? 我运行起来怎么没效果?

Android 5.0 (L)报错 Service Intent must be expl...

升级到android 5.0后运行我的app出现了如下错误 Service Intent must be explicit: Intent,有点看不明白.....在小于5版本中正常运行 10-23 10:18:18.945: E/AndroidRuntime(8987): java.lang.IllegalArgumentException: Service Intent must be explicit: Intent { act=com.google.android.gms.analytics.service.START (has extras) }

Android 5.0 android:elevation 如果给button设置效果

看到android5.0版本中提供了 elevation 的功能,我在SDK Manager 下载了 Android 5.0 例子代码,看了下 ElevationBasic 例子,展示了2个view对象,一个圆形一个矩形,圆形设置了 android:elevation = 30dp,具体例子如下

android 5.0 SSL Socket exception javax.net.ss...

更新到最新版本的android 5.0版本 测试我的app,当我使用 api调用 Https 访问的时候报如下的错误. javax.net.ssl.SSLPeerUnverifiedException: No peer certificate 11-26 15:35:01.919: W/System.err(353): at com.android.org.conscrypt.SSLNullSession.getPeerCertificates(SSLNullSession.java:104) 11-26 15:35:01.919: W/System.err(353): at org.apache.http.conn.ssl.AbstractVerifier.verify(AbstractVerifier.java:93)

android 5.0 toolbar 上实现 material tabs

android5.0 中如何才能实现类似play store中的tab效果?(滚动式隐藏,合适的间距),我尝试过 SlidingTabs 和其他的一些lib库,他们基本上都超期了.. 关于一些细节方面,android5之前的版本中,api20一下,我经常使用 actionBar.setNavigationMode(ActionBar.NAVIGATION_MODE_TABS); ,但是在android5.0中,整个ActionBar 都被ToolBar替换了

android 5.0 popup menu 样式问题和调整方法

我正在andorid 5.0版本下编译我的app. 使用了最新版本的兼容库,调试后我的 popup menu 的样式看起来如下...

Android 5.0 - preferences 中的checkboxes 不可见

我刚在AppCompat v21.基础上把我的设置升级到了 Android 5.0 Lollipop , 其他的都运行正常,但是发现一个问题,checkboxes在 preferences 窗口中复选框checkboxes 看不到了 只有当选中整个行的时候才能看见checkbox,我可以保证升级过程非常顺利,preferences 功能都很正常.

Android 5.0 Material-styled tabs

Android 5.0 是否已经支持 Material-styled tabs,我知道在预览版本中,始终是 Holo-styled,我想知道 Android 5.0 是否已经更新支持 material-style tabs了?我当前正在 我的tabs使用 PagerSlidingTabStrip但是好长时间没有更新了

Android 5.0 getExternalMediaDirs() undefined ...

我的andorid app在android 5.0版本的进行调试,在KITKAT 中工作的很好,我想添加并使用 getExternalMediaDirs() 方法,报错误 “The method getExternalMediaDirs() is undefined” 方法 getExternalMediaDirs() 没有定义
共11 条  1/1页  首页  上一页  下一页  尾页  转到: Go